'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-ef2fc981.js');

const ACEAdvancedButtonComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.class = "primary";
        this.type = "button";
        this.size = "sm";
        this.buttonClick = core.createEvent(this, "buttonClick", 7);
    }
    clickHandler(e) {
        if (this.href)
            window.location.href = this.href;
        else
            this.buttonClick.emit(e);
    }
    render() {
        const className = `${(this.class && this.class != null) ? `card ${this.class}` : 'card secondary'} ${this.size}`;
        return (core.h("div", { class: className }, core.h("div", { class: "card-body" }, core.h("div", { class: "row", id: "buy-row" }, core.h("div", { class: "col", id: "buy-col" }, core.h("h2", { id: "buy-h2" }, this.leftText))), core.h("div", { class: "row", id: "left-row" }, core.h("div", { class: "col", id: "col" }, core.h("div", { class: "table-responsive" }, core.h("table", { class: "table" }, core.h("thead", null, core.h("tr", null)), core.h("tbody", { class: "text-left d-block" }, core.h("tr", null, core.h("td", { id: "td-top" }, this.rightTop)), core.h("tr", null, core.h("td", { id: "td-bottom" }, this.rightBottom))))))))));
    }
    static get style() { return ".table td,.table th{padding:.75rem;vertical-align:top;border-top:none}button,input{overflow:hidden}.btn-primary:hover{color:#fff;background-color:rgba(0,105,217,0);border-color:rgba(0,98,204,0)}.btn-primary:not(:disabled):not(.disabled).active,.btn-primary:not(:disabled):not(.disabled):active,.show>.btn-primary.dropdown-toggle{color:#fff;background-color:rgba(0,98,204,0);border-color:rgba(0,92,191,0)}.btn-primary:not(:disabled):not(.disabled).active:focus,.btn-primary:not(:disabled):not(.disabled):active:focus,.form-control:focus,.show>.btn-primary.dropdown-toggle:focus{-webkit-box-shadow:0 0 0 .2rem rgba(0,123,255,0);box-shadow:0 0 0 .2rem rgba(0,123,255,0)}.form-control:focus{color:#495057;background-color:#fff;border-color:rgba(128,189,255,0);outline:0}\@media (min-width:768px){.col-md-6{-ms-flex:0 0 50%;flex:0 0 50%;max-width:50%}}.nav .open>a:active,.nav .open>a:focus,.nav .open>a:hover,.nav li>a:active,.nav li>a:focus,.nav li>a:hover{background-color:rgba(33,37,41,.04)}\@media (min-width:768px){.col-md-4{-ms-flex:0 0 33.333333%;flex:0 0 33.333333%;max-width:33.333333%}}.card{margin-top:25px;border-width:0;border-radius:5px;width:100%}.card-body{height:82px;padding-top:3px;border-radius:3px;width:atopx;padding-top:0}#buy-row{height:78px;width:139px}#buy-col{padding:9px;padding-top:5px;padding-bottom:10px;padding-left:27px}#buy-h2{font-family:Futura,sans-serif;color:#fff;font-weight:100}#left-row{height:78px;padding-top:px;width:auto px;margin-top:-78px;margin-left:104px}#col{border-left:1px solid #fff;height:58px;margin-top:10px;width:autopx}tbody{color:#fff}#td-top{padding-bottom:5px;margin-top:5px}#td-bottom,#td-top{font-family:Futura,sans-serif;padding-top:0}#td-bottom{letter-spacing:.3px;font-size:15px}td,tr{border:none}.primary{color:#fff;background-color:#20232a;border-color:#20232a}.secondary,.success{color:#fff;background:#54c11a;border-color:#54c11a}.danger{color:#fff;background:red;border-color:red}.warning{color:#fff;background:#f90;border-color:#f90}.light{color:#06c;background:#fff}.dark,.light{border-color:#fff}.dark{background:#343a40;color:#fff}.transparent{background:transparent}"; }
};

exports.ace_advanced_button = ACEAdvancedButtonComponent;
