'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-ef2fc981.js');

const ACEBoxComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
    }
    render() {
        return (core.h("div", null, core.h("div", { class: "row" }, core.h("div", { class: "container box" }, core.h("h1", null, this.heading), core.h("slot", null)))));
    }
    static get style() { return ".box{margin-top:80px;margin-left:auto;margin-right:auto;padding:40px;color:#fff;width:100%}.box h1{font-weight:400;padding:10px;letter-spacing:-.5px;font-family:Futura;text-align:center;font-size:30px;color:#e94576}div#pills-contact{background:none}#pills-tab.black-pills .nav-item a{background-color:#495057;border-radius:0;font-size:21px;border-right:1px solid #e5e5e5}.grey-bg{background-color:#e5e5e5}.tab-pane{background:#545b62;color:#fff}#group_35,#path_50{top:20px;left:0;width:182.17578125px;height:182.173828125px}img{position:absolute;display:block;margin:0;border:none;padding:0}img.avatar{width:182.17578125px;height:182.173828125px;top:0;left:0}.artist-info a{color:#fff!important}.artist-info{margin-top:200px}\@media (max-width:991px){.box{width:100%!important;-webkit-box-shadow:none;box-shadow:none;border-radius:none}}"; }
};

const ACEButtonComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.type = "button";
        this.size = "sm";
        this.buttonClick = core.createEvent(this, "buttonClick", 7);
    }
    clickHandler(e) {
        if (this.href)
            window.location.href = this.href;
        else
            this.buttonClick.emit(e);
    }
    render() {
        const className = `${(this.class) ? `gbtn ${this.class}` : 'gbtn default'} ${this.size}`;
        return (core.h("button", { class: className, type: this.type }, core.h("slot", null)));
    }
    static get style() { return "[type=button],[type=reset],[type=submit]{-webkit-appearance:none!important}button{cursor:pointer}button.primary{color:#fff;background-color:#e94576}button.secondary,button.success{color:#fff;background:#54c11a;border-color:#54c11a}button.danger{color:#fff;background:red;border-color:red}button.warning{color:#fff;background:#f90;border-color:#f90}button.light{color:#06c;background:#fff;border-color:#fff}button.dark{background:#343a40;color:#fff;border-color:#fff}button.transparent{background:transparent}.gbtn{display:inline-block;text-align:center;white-space:nowrap;vertical-align:middle;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;font-size:16px!important;font-family:Futura,sans-serif;border:1px solid transparent;padding:.375rem .75rem;font-size:1rem;line-height:1.5;width:100%;height:46px!important}button.lg{font-size:1.5rem}button.md{font-size:1.25rem}button.secondary.transparent{border-color:#54c11a}button.danger.transparent{border-color:red}button.warning.transparent{border-color:#f90}button.light.transparent{border-color:#fff}button.dark.transparent{border-color:#343a40}button.primary.transparent{border-color:#e94576}button.primary.outlined{background:#fff;border-color:#fff;color:#20232a}"; }
};

const ACEConeComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
    }
    render() {
        return (core.h("div", { id: this.heading }, core.h("div", null, core.h("div", { class: "row landing" }, core.h("div", { class: "col-sm" }, core.h("img", { src: "/images/logo.png" })), core.h("div", { class: "col-sm loud" }, core.h("h1", null, this.heading), core.h("h4", null, core.h("slot", null)))))));
    }
    static get style() { return "#landing{background-image:url(/images/img01.jpg);background-repeat:no-repeat;background-size:contain;background-position:cover;opacity:.4}#investor,#talent{background-image:url(/images/img02.jpg);background-repeat:no-repeat;background-size:contain;background-position:cover;opacity:.4}.loud{opacity:.3;background-color:#e5e5e5}"; }
};

const ACECopyButtonComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.size = "sm";
        this.defaultText = 'Copy';
        this.buttonText = 'Copy';
    }
    clickHandler(e) {
        e.preventDefault();
        const el = document.createElement('textarea');
        el.value = this.text;
        document.body.appendChild(el);
        el.select();
        document.execCommand('copy');
        document.body.removeChild(el);
        this.buttonText = 'Copied!';
        setTimeout(() => {
            this.buttonText = this.defaultText;
        }, 5000);
    }
    icon() {
        return core.h("i", { class: "fa fa-home", "aria-hidden": "true" });
    }
    render() {
        return (core.h("button", { class: "gbtn default" }, core.h("slot", null), " ", this.buttonText));
    }
    static get style() { return "[type=button],[type=reset],[type=submit]{-webkit-appearance:none!important}button{cursor:pointer}button.primary{color:#fff;background-color:#e94576}button.secondary,button.success{color:#fff;background:#54c11a;border-color:#54c11a}button.danger{color:#fff;background:red;border-color:red}button.warning{color:#fff;background:#f90;border-color:#f90}button.light{color:#06c;background:#fff;border-color:#fff}button.dark{background:#343a40;color:#fff;border-color:#fff}button.transparent{background:transparent}.gbtn{display:inline-block;text-align:center;white-space:nowrap;vertical-align:middle;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;font-size:16px!important;font-family:Futura,sans-serif;border:1px solid transparent;padding:.375rem .75rem;font-size:1rem;line-height:1.5;width:100%;height:46px!important}button.lg{font-size:1.5rem}button.md{font-size:1.25rem}button.secondary.transparent{border-color:#54c11a}button.danger.transparent{border-color:red}button.warning.transparent{border-color:#f90}button.light.transparent{border-color:#fff}button.dark.transparent{border-color:#343a40}button.primary.transparent{border-color:#e94576}button.primary.outlined{background:#fff;border-color:#fff;color:#20232a}"; }
};

const ACEDropdownComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
    }
    printOptions() {
        return '';
    }
    render() {
        return (core.h("div", { class: "dropdown" }, core.h("button", { class: "btn btn-primary dropdown-toggle", type: "button", "data-toggle": "dropdown" }, this.heading, core.h("span", { class: "caret" })), core.h("ul", { class: "dropdown-menu" }, core.h("slot", null))));
    }
    static get style() { return ".dropdown-toggle{height:45px!important;width:100%;font-weight:700!important;font-size:16px!important;font-family:Futura,sans-serif;border:1px solid transparent;background-color:#06c}.dropdown-toggle:active{border:none!important}.dropdown ul{width:100%;-webkit-box-shadow:1px 1px 5px rgba(0,0,0,.1);box-shadow:1px 1px 5px rgba(0,0,0,.1)}"; }
};

const ACEFieldComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.error = "";
        this.suppressError = this.suppressError.bind(this);
        this.input = core.createEvent(this, "input", 7);
    }
    /*Show tooltip only if it's set on declaration*/
    showTooltip() {
        if (this.tooltip && this.tooltip != '' && this.error === "")
            return core.h("span", { class: "tooltiptext" }, this.tooltip);
    }
    keyup(e) {
        console.log('e', e);
        if (this.input)
            this.input.emit(e.target.value);
    }
    suppressError(e) {
        this.error = (this.invalid) ? this.invalid : e.target.validationMessage;
        e.preventDefault();
    }
    rerender() {
        this.render();
    }
    showRequiredInput() {
        return (this.required) ? (core.h("div", null, core.h("label", null, this.label, "*"), core.h("input", { type: this.type, placeholder: this.placeholder, class: "form-control", onKeyUp: this.keyup, onInvalid: this.suppressError, required: true }))) :
            (core.h("div", null, core.h("label", null, this.label), core.h("input", { type: this.type, placeholder: this.placeholder, class: "form-control", onKeyUp: this.keyup })));
    }
    render() {
        return (core.h("div", null, core.h("div", { class: "mb-3 col-lg-12 col-md-12 col-sm-12 col-xs-10" }, core.h("div", { class: "form-input" }, this.showRequiredInput(), this.showTooltip(), core.h("p", { class: "input-hint" }, this.hint), core.h("div", { class: "invalid-feedbacks" }, core.h("p", null, this.error))))));
    }
    static get style() { return ".form-control{display:block;width:100%;background-color:#f7f9fc!important;height:46px!important;border:1px;border-color:#e1e1e1;border-style:solid;border-radius:3px;-webkit-box-shadow:none;box-shadow:none;padding:.375rem .75rem;color:inherit!important;text-indent:8px;-webkit-transition:border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;transition:border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out;transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;font-family:Futura,sans-serif!important}.tooltiptext{margin-top:5px;font-family:Futura,sans-serif;visibility:hidden;width:auto;background-color:#292c2f;color:#fff;text-align:center;padding:5px;border-radius:3px;display:inline-block;position:absolute;z-index:1}.form-input:hover .tooltiptext{visibility:visible!important}.form-input .tooltiptext:after{content:\" \";position:absolute;bottom:100%;left:50%;margin-left:-5px;border-width:5px;border-style:solid;border-color:transparent transparent #292c2f transparent}.form-input label{font-family:Futura;font-weight:700!important;margin-bottom:-5px}.invalid-feedbacks{font-family:Futura;font-size:15px;margin-top:-2px;color:red;font-weight:700}.input-hint{color:#868e96!important;font-size:14px}"; }
};

const ACEFooterComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.logo = "/images/logo.png";
        this.siteName = "ACE";
    }
    render() {
        return (core.h("div", { class: "footer" }, core.h("div", { class: "container" }, core.h("div", { class: "row" }, core.h("div", { class: "footer-sect sect-1 col-lg-4 col-sm-12 col-xs-12" }, core.h("a", { href: "/" }, " ", core.h("img", { class: "logo", src: this.logo })), core.h("div", { class: "social-button" }, core.h("a", { href: "https://twitter.com/acedotfan", class: "fab fa-twitter" }), core.h("a", { href: "https://www.linkedin.com/company/acedotfan", class: "fab fa-linkedin-in" })), core.h("p", null, this.siteName, ". ", new Date().getFullYear(), " Copyright. All Rights Reserved.")), core.h("div", { class: "footer-sect sect-2 col-lg-4 col-sm-12 col-xs-12" }, core.h("p", null, core.h("a", { href: "mailto:support@ace.fan/" }, "Help & Support"))), core.h("div", { class: "footer-sect sect-3 col-lg-4 col-sm-12 col-xs-12" }, core.h("p", null, core.h("a", { href: "/privacy-policy" }, "Privacy Policy")), core.h("p", null, core.h("a", { href: "/terms-and-conditions" }, "Terms & Conditions")))))));
    }
    static get style() { return ".footer{background-color:#292c2f;padding-left:12px;font-size:11pt;padding-top:2%;padding-bottom:2%;color:#fff;font-family:Futura,Montserrat,sans-serif;margin-bottom:0;position:absolute;width:100%}\@media screen and (max-width:1200px){.sect-1 p{line-height:1.2}}\@media screen and (max-width:991px){.sect-1 p{line-height:1.2}}.footer a{color:#fff;text-decoration:none;padding-top:1px;padding-bottom:1px}.footer a:hover{text-decoration:underline;color:#e94576}.footer p{color:#6a6666}.footer-sect{padding:12px;line-height:8px}.footer-sect img{margin-left:5px}.sect-1 a,p{margin-bottom:20px}.sect-1 p{color:#fff;font-weight:700;margin-left:5px}.fab{margin:10px 4px;color:#fff;height:18px}.footer-sect a img.logo{width:75px;max-height:50%}.social-button{margin-bottom:20px}.social-button a{display:inline-block;width:35px;height:35px;cursor:pointer;background-color:#33383b;border-radius:2px;font-size:20px;color:#fff;text-align:center;line-height:35px;margin-right:5px;margin-bottom:5px}"; }
};

const ACEHeaderComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.logo = "/images/logo.png";
        this.logoUrl = '';
        this.universalLinks = [
            {
                name: 'Home',
                icon: 'fa fa-home',
                url: '/'
            }
        ];
        this.loggedOutLinks = [
            {
                name: 'Blog',
                icon: '',
                url: 'https://blog.ace.fan',
                class: 'default'
            },
            {
                name: 'Support',
                icon: '',
                url: 'mailto:support@ace.fan',
                class: 'default'
            },
            {
                name: 'Log In',
                icon: '',
                url: 'https://login.ace.fan',
                class: 'default'
            },
            {
                name: 'Sign Up',
                icon: '',
                url: 'https://login.ace.fan/signup',
                class: 'selected'
            }
        ];
        this.loggedInLinks = [
            {
                name: 'Buy/Sell',
                icon: 'fa fa-exchange-alt',
                url: `/markets/${this.getCookie("market_id")}`,
                class: 'default' //this is a hack, but it works
            },
            {
                name: 'Wallets',
                icon: 'fa fa-wallet',
                url: '/wallets',
                class: 'default'
            },
            {
                name: 'Transaction History',
                icon: 'fa fa-history',
                url: '/history/orders',
                class: 'default'
            },
            {
                name: 'Support',
                icon: 'fa fa-life-ring',
                url: 'mailto:support@ace.fan',
                class: 'default'
            }
        ];
    }
    componentWillLoad() {
        const cookie = this.getCookie("_ace_session");
        this.isLoggedIn = cookie != null && cookie !== "";
        this.logoUrl = (this.isLoggedIn) ? "/settings" : "/";
    }
    isActive(url) {
        return window.location.href.indexOf(url) !== -1;
    }
    links() {
        //concat the universal links with either the loggedIn or loggedOut links W
        return ((this.isLoggedIn === true) ? this.loggedInLinks : this.loggedOutLinks)
            .map(link => {
            return core.h("li", { class: `nav-item ${(this.isActive(link.url)) ? 'active' : ''} ${link.class}` }, core.h("a", { class: "nav-link", target: "", href: link.url }, core.h("i", { class: link.icon }), core.h("span", { class: "nav-title" }, link.name)));
        });
    }
    dropdown() {
        return (this.isLoggedIn === true) ?
            core.h("li", { class: "nav-item dropdown" }, core.h("a", { class: "nav-link dropdown-toggle", id: "userDropDown", href: "#", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, core.h("i", { class: "fa fa-user" })), core.h("div", { class: "dropdown-menu", "aria-labelledby": "userDropDown" }, core.h("a", { class: "dropdown-item", href: "/settings" }, core.h("i", { class: "fa fa-user" }), core.h("span", { class: "nav-title" }, "My Profile")), core.h("a", { class: "dropdown-item", href: "/logout" }, core.h("i", { class: "fa fa-power-off" }), core.h("span", { class: "nav-title" }, "Log out"))))
            : '';
    }
    getCookie(cookie) {
        const tmp = (!document || !document.cookie || document.cookie == '') ? null : document.cookie.split(";").map(c => {
            let tmp = c.replace(" ", "").split("="), key = tmp[0], value = tmp[1];
            let temp = {};
            temp[key] = value;
            return temp;
        }).filter(c => c[cookie] != null)[0];
        return (tmp != null) ? tmp[cookie] : null;
    }
    render() {
        return (core.h("nav", { class: "navbar navbar-expand-lg navbar-dark" }, core.h("div", { class: "container" }, core.h("a", { class: "text-left navbar-brand", href: "/" }, core.h("img", { class: "logo", src: this.logo })), core.h("button", { class: "navbar-toggler hidden-lg-up", type: "button", "data-toggle": "collapse", "data-target": "#navbarsDefault", "aria-controls": "navbarsDefault", "aria-expanded": "false", "aria-label": "Toggle navigation" }, core.h("span", { class: "navbar-toggler-icon" })), core.h("div", { class: "collapse navbar-collapse", id: "navbarsDefault" }, core.h("ul", { class: "navbar-nav ml-auto" }, core.h("slot", null))))));
    }
    static get style() { return ".bg-primary{background-color:#20232a!important}.navbar{padding-top:.25%;padding-bottom:.25%;font-size:16px;position:absolute;width:100%!important;padding-bottom:5px!important;color:#fff;text-shadow:1px 1px 1px #333}\@media screen and (max-width:1200px){.navbar{font-size:14px}}\@media screen and (max-width:1045px){.navbar{font-size:12px}}\@media screen and (max-width:991px){.navbar{font-size:16px}.selected{border:none!important}}.navbar-nav:a{font-family:Futura;font-weight:inherit;padding-top:10px;padding-bottom:10px;font-size:30px;text-align:-webkit-match-parent}.navbar-nav:a,.navbar-nav>li>a:hover{-webkit-transition:-webkit-transform .2s;transition:-webkit-transform .2s;transition:transform .2s;transition:transform .2s,-webkit-transform .2s}.navbar-nav>li>a:hover{-webkit-transform:scale(1.1);transform:scale(1.1)}.nav-link{color:#fff!important;line-height:20px;padding:5px}.drop-down-item i,.drop-down-item span.nav-title,a.dropdown-item,a:hover{color:#ff69b4}.nav-item{position:relative;display:block;padding:7px 0;margin:0 10px;margin-top:40px}.nav-item a{color:#fff!important}.active,.nav-item a:hover,.nav-title,.selected:hover{color:#e94576!important;text-shadow:none;font-weight:700}\@media (min-width:1200px){.collapse{display:none!important}}.logo{width:40px;max-height:100%;margin-top:10px}.ml-auto{margin-right:8%}"; }
};

const ACETableComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.heading = "Heading";
        this.Data = [];
        //pagination
        this.currentPage = 1;
        this.goToNextPage = this.goToNextPage.bind(this);
        this.goToPreviousPage = this.goToPreviousPage.bind(this);
        this.goToLastPage = this.goToLastPage.bind(this);
        this.goToFirstPage = this.goToFirstPage.bind(this);
        if (!this.perPage)
            this.perPage = 1;
    }
    paginate(array, pageSize, pageNumber) {
        --pageNumber; // because pages logically start with 1, but technically with 0
        return array.slice(pageNumber * pageSize, (pageNumber + 1) * pageSize);
    }
    currentPageHandler() {
        this.initTable();
    }
    handleHeading(newHeading) {
        this.heading = newHeading;
    }
    setPaginationValues() {
        this.totalPages = (this.Data.length / this.perPage);
    }
    setData(newData) {
        this.initTable(newData);
    }
    printLabels() {
        //Gets columns as set
        return (!this.Columns || this.Columns.length == 0) ? "" : this.Columns.map(column => column.label).map(label => core.h("td", null, label));
    }
    printRows() {
        //Returns the data corresponding to the columns per row
        return (!this.Data || this.Data.length == 0) ? "" : this.Data.map(row => core.h("tr", null, this.Columns.map(column => {
            return (column.linkable && row.link) ? core.h("td", null, core.h("a", { href: row.link }, row[column.field])) : core.h("td", null, row[column.field]);
        })));
    }
    initTable(newData = null) {
        if (!newData)
            this.Data = this.paginate(((typeof this.data === "string") ? this.Data = JSON.parse(this.data) : this.data), this.perPage, this.currentPage);
        else
            this.Data = this.paginate(((typeof newData === "string") ? this.Data = JSON.parse(newData) : newData), this.perPage, this.currentPage);
        this.Columns = JSON.parse(this.columns);
        this.setPaginationValues();
        this.render();
    }
    componentWillLoad() {
        // if(this.data) this.setData(this.data);
        // if(this.Columns) this.setColumns(this.Columns);
        this.initTable();
    }
    goToNextPage() {
        if (this.currentPage < this.totalPages)
            ++this.currentPage;
        this.initTable();
    }
    goToPreviousPage() {
        --this.currentPage;
    }
    goToLastPage() {
        this.currentPage = this.totalPages;
    }
    goToFirstPage() {
        this.currentPage = 1;
    }
    printStartButton() {
        let disabledClass = '';
        if (this.currentPage === 1)
            disabledClass = 'disabled';
        return core.h("li", { onClick: this.goToFirstPage }, core.h("a", { class: disabledClass }, "Start"));
    }
    printPreviousButton() {
        let disabledClass = '';
        if (this.currentPage <= 1)
            disabledClass = 'disabled';
        return core.h("li", { class: disabledClass, onClick: this.goToPreviousPage }, core.h("a", null, core.h("i", { class: "fas fa-chevron-circle-left" })));
    }
    printNextButton() {
        let disabledClass = '';
        if (this.currentPage >= this.totalPages)
            disabledClass = 'disabled';
        return core.h("li", { onClick: this.goToNextPage, class: disabledClass }, core.h("a", null, core.h("i", { class: "fas fa-chevron-circle-right" })));
    }
    printEndButton() {
        let disabledClass = '';
        if (this.currentPage >= this.totalPages)
            disabledClass = 'disabled';
        return core.h("li", { class: disabledClass, onClick: this.goToLastPage }, core.h("a", null, "End"));
    }
    render() {
        return (core.h("div", { class: "acetable" }, core.h("div", { class: "tableheading" }, core.h("p", { class: "tableheading-text" }, this.heading)), core.h("div", { class: "table-responsive" }, core.h("table", { class: "table table-striped table-hover table-condensed" }, core.h("thead", { class: "thead-inverse" }, core.h("tr", null, this.printLabels())), core.h("tbody", null, this.printRows()))), core.h("div", { class: "tablefooter" }, core.h("ul", { class: "pagination" }, this.printStartButton(), this.printPreviousButton(), core.h("li", { class: "active" }, core.h("a", { href: "#" }, " ", this.currentPage, " ")), this.printNextButton(), this.printEndButton()))));
    }
    static get watchers() { return {
        "currentPage": ["currentPageHandler"],
        "heading": ["handleHeading"],
        "data": ["setData"]
    }; }
    static get style() { return ".acetable{-webkit-box-shadow:0 1px 1px rgba(0,0,0,.05);box-shadow:0 1px 1px rgba(0,0,0,.05)}.tableheading{margin-top:20px;border:1px solid #e1e1e1;border-top-left-radius:3px;border-top-right-radius:3px;border-bottom:1px solid transparent;-webkit-box-shadow:0 1px 1px rgba(0,0,0,.08);box-shadow:0 1px 1px rgba(0,0,0,.08)}.tableheading-text{font-family:Futura;font-size:16px;color:#505e6c;padding-top:10px;margin-bottom:10px;padding-left:10px;font-weight:700}.thead-inverse{font-family:Futura,sans-serif;font-weight:700}table{overflow-x:auto;font-family:Futura,sans-serif}.tablefooter,table{border:1px solid #e1e1e1;border-radius:0;color:#555}.tablefooter{margin-top:-17px;padding-top:5px;text-align:center!important;border-bottom-left-radius:3px;border-bottom-right-radius:3px}.tablefooter ul{margin-top:5px;margin-left:auto;margin-right:auto;padding-left:10px;font-family:Futura,sans-serif;color:#06c}.tablefooter li{margin-left:5px;margin-right:5px;padding-left:5px;padding-right:5px}.tablefooter a:active{background-color:#06c;background:#06c;border-radius:3px;text-decoration:none}.pagination{margin-left:auto!important;margin-right:auto!important;padding:10px}.disabled{color:currentColor;cursor:not-allowed;opacity:.5;text-decoration:none!important}"; }
};

const ACEWellComponent = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
    }
    render() {
        return (core.h("div", null, core.h("div", { class: "row" }, core.h("div", { class: "well" }, core.h("h1", null, this.heading), core.h("slot", null)))));
    }
    static get style() { return ".well{margin-top:80px;margin-left:auto;margin-right:auto;background-color:#292c2f;padding:40px;border-radius:0;color:#fff;-webkit-box-shadow:1px 1px 5px rgba(0,0,0,.1);box-shadow:1px 1px 5px rgba(0,0,0,.1);width:100%}.well h1{font-weight:400;padding:10px;letter-spacing:-.5px;font-family:Futura;text-align:center;font-size:30px}\@media (max-width:991px){.well{width:100%!important;-webkit-box-shadow:none;box-shadow:none;border-radius:none}}"; }
};

exports.ace_box = ACEBoxComponent;
exports.ace_button = ACEButtonComponent;
exports.ace_cone = ACEConeComponent;
exports.ace_copy_button = ACECopyButtonComponent;
exports.ace_dropdown = ACEDropdownComponent;
exports.ace_field = ACEFieldComponent;
exports.ace_footer = ACEFooterComponent;
exports.ace_header = ACEHeaderComponent;
exports.ace_table = ACETableComponent;
exports.ace_well = ACEWellComponent;
