import { h } from "@stencil/core";
export class ACEFooterComponent {
    constructor() {
        this.logo = "/images/logo.png";
        this.siteName = "ACE";
    }
    render() {
        return (h("div", { class: "footer" },
            h("div", { class: "container" },
                h("div", { class: "row" },
                    h("div", { class: "footer-sect sect-1 col-lg-4 col-sm-12 col-xs-12" },
                        h("a", { href: "/" },
                            " ",
                            h("img", { class: "logo", src: this.logo })),
                        h("div", { class: "social-button" },
                            h("a", { href: "https://twitter.com/acedotfan", class: "fab fa-twitter" }),
                            h("a", { href: "https://www.linkedin.com/company/acedotfan", class: "fab fa-linkedin-in" })),
                        h("p", null,
                            this.siteName,
                            ". ",
                            new Date().getFullYear(),
                            " Copyright. All Rights Reserved.")),
                    h("div", { class: "footer-sect sect-2 col-lg-4 col-sm-12 col-xs-12" },
                        h("p", null,
                            h("a", { href: "mailto:support@ace.fan/" }, "Help & Support"))),
                    h("div", { class: "footer-sect sect-3 col-lg-4 col-sm-12 col-xs-12" },
                        h("p", null,
                            h("a", { href: "/privacy-policy" }, "Privacy Policy")),
                        h("p", null,
                            h("a", { href: "/terms-and-conditions" }, "Terms & Conditions")))))));
    }
    static get is() { return "ace-footer"; }
    static get originalStyleUrls() { return {
        "$": ["ace-footer.css"]
    }; }
    static get styleUrls() { return {
        "$": ["ace-footer.css"]
    }; }
    static get properties() { return {
        "logo": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "logo",
            "reflect": false,
            "defaultValue": "\"/images/logo.png\""
        },
        "siteName": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "site-name",
            "reflect": false,
            "defaultValue": "\"ACE\""
        }
    }; }
}
