import { h } from "@stencil/core";
export class ACEAdvancedButtonComponent {
    constructor() {
        this.class = "primary";
        this.type = "button";
        this.size = "sm";
    }
    clickHandler(e) {
        if (this.href)
            window.location.href = this.href;
        else
            this.buttonClick.emit(e);
    }
    render() {
        const className = `${(this.class && this.class != null) ? `card ${this.class}` : 'card secondary'} ${this.size}`;
        return (h("div", { class: className },
            h("div", { class: "card-body" },
                h("div", { class: "row", id: "buy-row" },
                    h("div", { class: "col", id: "buy-col" },
                        h("h2", { id: "buy-h2" }, this.leftText))),
                h("div", { class: "row", id: "left-row" },
                    h("div", { class: "col", id: "col" },
                        h("div", { class: "table-responsive" },
                            h("table", { class: "table" },
                                h("thead", null,
                                    h("tr", null)),
                                h("tbody", { class: "text-left d-block" },
                                    h("tr", null,
                                        h("td", { id: "td-top" }, this.rightTop)),
                                    h("tr", null,
                                        h("td", { id: "td-bottom" }, this.rightBottom))))))))));
    }
    static get is() { return "ace-advanced-button"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["./ace-advanced-button.css"]
    }; }
    static get styleUrls() { return {
        "$": ["ace-advanced-button.css"]
    }; }
    static get properties() { return {
        "columns": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "string[]",
                "resolved": "string[]",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        },
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "\"primary\""
        },
        "type": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "type",
            "reflect": false,
            "defaultValue": "\"button\""
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "size",
            "reflect": false,
            "defaultValue": "\"sm\""
        },
        "href": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "href",
            "reflect": false
        },
        "leftText": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "left",
            "reflect": false
        },
        "rightTop": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "right-top",
            "reflect": false
        },
        "rightBottom": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "right-bottom",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "buttonClick",
            "name": "buttonClick",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
    static get listeners() { return [{
            "name": "click",
            "method": "clickHandler",
            "target": undefined,
            "capture": false,
            "passive": false
        }]; }
}
