import { h } from "@stencil/core";
export class ACECopyButtonComponent {
    constructor() {
        this.size = "sm";
        this.defaultText = 'Copy';
        this.buttonText = 'Copy';
    }
    clickHandler(e) {
        e.preventDefault();
        const el = document.createElement('textarea');
        el.value = this.text;
        document.body.appendChild(el);
        el.select();
        document.execCommand('copy');
        document.body.removeChild(el);
        this.buttonText = 'Copied!';
        setTimeout(() => {
            this.buttonText = this.defaultText;
        }, 5000);
    }
    icon() {
        return h("i", { class: "fa fa-home", "aria-hidden": "true" });
    }
    render() {
        return (h("button", { class: "gbtn default" },
            h("slot", null),
            " ",
            this.buttonText));
    }
    static get is() { return "ace-copy-button"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["./../ace-button/ace-button.css"]
    }; }
    static get styleUrls() { return {
        "$": ["../ace-button/ace-button.css"]
    }; }
    static get properties() { return {
        "text": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "text",
            "reflect": false
        },
        "columns": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "string[]",
                "resolved": "string[]",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "size",
            "reflect": false,
            "defaultValue": "\"sm\""
        }
    }; }
    static get states() { return {
        "buttonText": {}
    }; }
    static get listeners() { return [{
            "name": "click",
            "method": "clickHandler",
            "target": undefined,
            "capture": false,
            "passive": false
        }]; }
}
